/* GOOGLE FONTS */
@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");

/* VARIABLES CSS */
:root {
  --header-height: 3.5rem;
  --first-color: rgb(7, 86, 223);
  --first-color-alt: rgb(0, 75, 204);
  --second-color: rgb(85, 189, 241);
  --title-color: rgb(29, 49, 83);
  --text-color: rgb(84, 90, 99);
  --text-color-light: rgb(128, 135, 147);
  --white-color: rgb(245, 249, 255);
  --white-color-light: rgb(180, 197, 228);
  --dark-color: rgb(15, 38, 77);
  --gray-color: rgb(235, 235, 235);
  --body-color: rgb(255, 255, 255);
  /*Font */
  --body-font: "Montserrat", sans-serif;
  --biggest-font-size: 2.25rem;
  --bigger-font-size: 1.75rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --h3-font-size: 1rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;
  /*Font weight */
  --font-regular: 400;
  --font-medium: 500;
  --font-semi-bold: 600;
  /*z index */
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*Responsive  */
@media screen and (min-width: 1150px) {
  :root {
    --biggest-font-size: 3.5rem;
    --bigger-font-size: 3rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --h3-font-size: 1.25rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
  }
}

/* BASE */
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
  background-color: var(--body-color);
  color: var(--text-color);
  transition: background-color .4s;
}

h1,
h2,
h3,
h4 {
  color: var(--title-color);
  font-weight: var(--font-semi-bold);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
  color: #333;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

/* THEME */
/*Variables Dark theme */
.dark-theme {
  --body-color: hsl(218, 24%, 8%);
  --title-color: hsl(218, 48%, 95%);
  --text-color: hsl(219, 20%, 71%);
  --gray-color: hsl(218, 24%, 75%);
}

.dark-theme .nav__menu {
  box-shadow: 0 4px 16px hsla(218, 68%, 4%, 0.7);
}

.dark-theme::-webkit-scrollbar {
  background-color: hsl(218, 8%, 12%);
}

.dark-theme::-webkit-scrollbar-thumb {
  background-color: hsl(218, 8%, 20%)
}

.dark-theme::-webkit-scrollbar-thumb:hover {
  background-color: hsl(218, 8%, 30%)
}

.dark-theme .prices__card {
  background-color: var(--white-color);
}

.dark-theme .prices__items {
  color: rgb(77, 75, 75);
}

.dark-theme .contact__social-link {
  background-color: var(--gray-color);
}

/* REUSABLE CSS CLASSES */
.container {
  max-width: 1120px;
  margin-inline: 1.5rem;
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.section {
  padding-block: 5rem 1rem;
}

.section__title {
  text-align: center;
  font-size: var(--bigger-font-size);
  margin-bottom: 1rem;
}

.section__title span {
  font-weight: var(--font-regular);
}

.main {
  overflow: hidden;
}

/* HEADER & NAV */

.header {
  width: 100%;
  position: fixed;
  top: 0;
  left: 0;
  background-color: var(--body-color);
  z-index: var(--z-fixed);
  transition: background-color .4s box-shadow .4s;

}

.nav {
  position: relative;
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: var(--header-height);
}

.nav__logo {
  display: flex;
  align-items: center;
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
  column-gap: .25rem;
  transition: color .4s;
}

.nav__logo i {
  font-weight: initial;
  font-size: 1.25rem;
  color: var(--first-color);
}

.nav__logo:hover {
  color: var(--first-color);
}

.nav__toggle,
.nav__close,
.nav__theme {
  font-size: 1.5rem;
  color: var(--title-color);
  cursor: pointer;
  display: inline;
  transition: color .4s;
}

.nav__buttons {
  display: flex;
  align-items: center;
  column-gap: 1rem;
}

/* Navigation for mobile devices */
@media screen and (max-width:1150px) {
  .nav__menu {
    position: fixed;
    top: -100%;
    left: 0;
    width: 100%;
    height: 50%;
    background-color: var(--body-color);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: top .4s;
    box-shadow: 0 4px 16px rgba(84, 90, 99, 0.15);
    padding-block: 5rem;

  }

}

.nav__list {
  text-align: center;
  display: flex;
  flex-direction: column;
  row-gap: 2rem;
}

.nav__link {
  font-weight: var(--font-semi-bold);
  font-size: var(--title-color);
  transition: color .4s;
}

.nav__link:hover {
  color: var(--first-color);
}

.nav__close {
  position: absolute;
  top: 1.5rem;
  right: 1.5rem;
}

/* Show menu */
.show-menu {
  top: 0;
}

/* Add shadow header */
.shadow-header {
  box-shadow: 0 2px 16px hsla(218, 68%, 18%, 0.1);
}

/* Active link */
.active-link {
  color: var(--first-color);
}

/* BUTTON */
.button {
  display: inline-flex;
  background-color: var(--first-color);
  color: var(--white-color);
  padding: .75rem 1.5rem;
  border-radius: .5rem;
  font-weight: var(--font-semi-bold);
  transition: background-color .4s;
  box-shadow: 0 4px 16px rgba(7, 86, 223, 0.3);
  padding: 1rem 2rem;
  border-radius: .75rem;
}

.button:hover {
  background-color: var(--first-color-alt);
}

.button-dark {
  position: relative;
  background-color: linear-gradient(var(--dark-color), var(--dark-color)),
    linear-gradient(225deg, var(--second-color) 0%, var(--dark-color) 25%);
  border: 3px solid transparent;
  background-origin: border-box;
  background-clip: padding-box, border-box;
  font-weight: var(--font-semi-bold);
  padding: 1rem 2rem;
  border-radius: .75rem;
  display: flex;
  align-items: center;
  gap: .5rem;
  box-shadow: 0 4px 16px rgba(15, 38, 77, 0.4);
  overflow: hidden;
  color: var(--white-color);
}

.button-dark::after {
  content: '';
  position: absolute;
  top: -5rem;
  right: -5rem;
  width: 40px;
  height: 40px;
  background-color: var(--second-color);
  border-radius: 50%
}

.button-dark i {
  font-size: 1.25rem;
  transition: transform .4s;
}

.button-dark:hover i {
  transform: translateX(.25rem);
}

/* HOME */
.home__container {
  row-gap: 4rem;
  padding-top: 2rem;
}

.home__data {
  text-align: center;
}

.home__title {
  font-size: var(--biggest-font-size);
  margin-bottom: 1rem;
}

.home__title span {
  font-weight: var(--font-regular);
}

.home__description {
  margin-bottom: 2rem;
}

.home__content {
  padding: 3rem 1.5rem 0;
  background-color: var(--first-color);
  border-radius: 2rem;
  box-shadow: 0 4px 16px rgba(7, 86, 223, 0.3);
  row-gap: 2rem;
}

.home__info {
  display: flex;
  justify-content: space-between;
  align-items: center;
  column-gap: .75rem;
}

.home__name {
  font-size: var(--h2-font-size);
  color: var(--white-color);
  margin-bottom: .5rem;
}

.home__profession {
  font-size: var(--small-font-size);
  color: var(--white-color);
  font-weight: var(--font-regular);
  margin-bottom: 2rem;
}

.home__icon {
  display: flex;
  column-gap: .75rem;
}

.home__box {
  width: 60px;
  height: 60px;
  color: var(--white-color);
  background-color: var(--first-color-alt);
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: .75rem;
  font-size: 2rem;
}

.home__button {
  flex-direction: column;
  padding: 4rem 1rem;
}

.home__button i {
  font-weight: initial;
  font-size: 2rem;
}

.home__img {
  width: 250px;
  box-shadow: 0 4px 16px rgba(7, 86, 223, 0.3);
  justify-self: center;
}

/* DELIVERY */
.delivery__container {
  gap: 2rem;
}

.delivery__data {
  overflow: hidden;
}

.delivery__description {
  text-align: center;
  margin-bottom: 2rem;
}

.delivery__info {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  column-gap: 1rem;
  overflow: auto;
  padding-bottom: 2rem;
  text-align: center;
}

.delivery__info::-webkit-scrollbar {
  background-color: var(--gray-color);
  height: 4px;
  border-radius: 1rem;
}

.delivery__info::-webkit-scrollbar-thumb {
  background-color: var(--first-color);
  border-radius: 1rem;
}

.delivery__icon {
  width: 48px;
  height: 48px;
  background: var(--first-color);
  color: var(--white-color);
  border: solid 4px var(--gray-color);
  border-radius: 1rem;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 1.5rem;   margin: 0 auto .5rem;
  margin-bottom: .5rem;
  transition: border-color .4s;
}

.delivery__subtitle {
  font-size: var(--h3-font-size);
  margin-bottom: .5rem
}

.delivery__content {
  width: 300px;
  background-color: var(--first-color);
  padding-block: 3rem 2rem;
  border-radius: 2rem;
  text-align: center;
  justify-self: center;
  display: grid;
  justify-items: center;
  box-shadow: 0 4px 16px rgba(7, 86, 223, 0.3);
}

.delivery__title {
  font-size: var(--h1-font-size);
  color: var(--white-color);
  margin-bottom: 1.5rem;
}

.delivery__patients {
  background-color: var(--first-color-alt);
  color: var(--white-color);
  padding: 1rem 2rem;
  border-radius: .5rem;
  display: flex;
  column-gap: .5rem;
}

.delivery__patients span {
  font-weight: var(--font-semi-bold);
}

.delivery__image {
  position: relative;
  width: 100%;
  height: 185px;
  margin-bottom: 2rem;
  display: grid
}

.delivery__img {
  position: absolute;
  bottom: 0;
  max-width: initial;
  width: 350px;
  justify-self: center;
}

/* ABOUT */
.about__container {
  background-color: var(--dark-color);
  padding: 3rem 1.5rem 2rem;
  border-radius: 2rem;
  box-shadow: 0 4px 16px rgba(15, 38, 77, 0.4);
  row-gap: 3rem;
}

.about__data {
  display: flex;
  flex-direction: column;
  row-gap: 2.5rem;
}

.about__data .section__title {
  color: var(--white-color);
}

.about__description {
  color: var(--white-color-light);
  margin-bottom: 2rem;
}

.about__info {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  margin-bottom: 2rem;
  text-align: center;
}

.about__number {
  font-size: var(--h1-font-size);
  color: var(--white-color);
  margin-bottom: .5rem;
}

.about__details {
  font-size: var(--small-font-size);
  color: var(--white-color-light);
}

.about__stat:not(:last-child) {
  border-right: 2px solid var(--gray-color);
}

.about__button {
  display: flex;
  color: var(--white-color);
  align-items: center;
  justify-content: center;
  column-gap: .5rem;
}

.about__button i {
  font-size: 1.5rem;
  transition: transform .4s;
}

.about__button:hover i {
  transform: translateX(.25rem);
}

.about__img {
  box-shadow: 0 4px 16px rgba(15, 38, 77, 0.4);
  justify-self: center;
  width: 350px;
  border-radius: 1rem;
}

/* PRICES */
.prices__container {
  padding-bottom: 2rem;
  row-gap: 4rem;
}

.prices__content {
  display: grid;
  position: relative;
}

.prices__description {
  text-align: center;
}

.prices__card {
  background-color: var(--white-color);
  box-shadow: 0 4px 16px rgba(84, 90, 99, 0.15);
  border-radius: 1rem;
}

.prices__heading {
  background-color: var(--first-color);
  padding: 1.5rem 1rem;
  border-radius: 1rem 1rem 0 0;
  display: flex;
  justify-content: space-between;
  border-radius: 1rem 1rem 0 0;
}

.prices__number {
  font-size: var(--bigger-font-size);
  color: var(--white-color);
  margin-bottom: .5rem;
}

.prices__title {
  font-size: var(--h3-font-size);
  color: var(--white-color);
  align-self: flex-end;

}

.prices__list {
  display: grid;
  row-gap: .5rem;
  padding: 1.5rem 1rem
}

.prices__items {
  padding: 1rem;
  display: flex;
  column-gap: .5rem;
  font-size: var(--small-font-size);

}

.prices__items i {
  color: var(--first-color);
  font-size: 1rem;
}

.prices__box {
  display: grid;
  width: 280px;
  height: 100%;
  border: 4px solid transparent;
  background-clip: padding-box, border-box;
  background-origin: border-box;
  position: absolute;
  inset: 0;
  margin-inline: auto;
  border-radius: 1.5rem;
  box-shadow: 0 4px 16px hsla(218, 96%, 45%, 0.2);
  overflow: hidden;
  background: linear-gradient(var(--dark-color), var(--dark-color)),
    linear-gradient(135deg, var(--second-color) 0%, var(--dark-color) 25%);
}

.prices__box:after {
  content: "";
  position: absolute;
  top: -.5rem;
  right: -.5rem;
  width: 70px;
  height: 70px;
  background: var(--second-color);
  border-radius: 50%;
  filter: blur(35px);
}

.prices__details {
  padding-bottom: 2rem;
  text-align: center;
  align-self: flex-end;
  font-size: var(--small-font-size);
  color: var(--white-color);
}

/* Swiper class */
.prices .swiper {
  width: 380px;
  padding-block: 2rem 5rem;
  display: flex;
  gap: 50px;
}

/* new feature css */
.prices :is(.swiper-button-next, .swiper-button-prev) {
  opacity: .0;
  pointer-events: none;
  transition: opacity .4s;
}

.prices .swiper-pagination-bullet.swiper-pagination-horizontal {
  bottom: -4rem
}

.prices .swiper-pagination-bullet {
  background-color: var(--gray-color);
  opacity: 1;
  width: 12px;
  height: 12px;
  margin: 0 .25rem;
  transition: background-color .4s;

}

.prices .swiper-pagination-bullet-active {
  background-color: var(--first-color);
}

/* GALLERY */
.gallery__container {
  grid-template-columns: repeat(auto, 1fr);
  row-gap: 2rem;
  grid-template-areas: "img1 img1"
    "img2 img3"
    "img2 img4";
  gap: 1.2rem;
}

.gallery__container img {
  border-radius: 1.8rem;
  box-shadow: 0 4px 16px rgba(84, 90, 99, 0.15);
  height: 100%;
}

.gallery__image:nth-child(1) {
  grid-area: img1;
}

.gallery__image:nth-child(2) {
  grid-area: img2;

}

.gallery__image:nth-child(3) {
  grid-area: img3;
}

.gallery__image:nth-child(4) {
  grid-area: img4;
}

.gallery__img {
  width: 100%;
  height: 100%;
  transition: transform .4s;
}

.gallery__image {
  overflow: hidden;
  border-radius: 1.8rem;
}

.gallery__img:hover {
  transform: scale(1.2);
}

/* CONTACT */
.contact__container {
  gap: 2rem;
  padding-bottom: 1.5rem;
}

.contact__map {
  width: 100%;
  height: 400px;
  box-shadow: 0 4px 16px rgba(84, 90, 99, 0.15);
  border-radius: 1.5rem;
  overflow: hidden;
  justify-self: center;
  box-shadow: 0 4px 16px rgba(84, 90, 99, 0.15);
}

.contact__map iframe {
  height: 100%;
  width: 100%
}

.contact__description {
  text-align: center;
  margin-bottom: 2rem;
}

.contact__icon {
  width: 48px;
  height: 48px;
  background: var(--first-color);
  color: var(--white-color);
  border: solid 4px var(--gray-color);
  border-radius: 1rem;
  display: grid;
  align-items: center;
  justify-content: center;
  font-size: 1.5rem;
  margin-bottom: .5rem;
  transition: border-color .4s;
  justify-self: center;
}

.contact__social {
  display: flex;
  column-gap: .9rem;
  justify-content: center;
}

.footer__social-link,
.contact__social-link {
  font-size: 1.25rem;
  transition: all .4s;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  padding: 10px;
  border: 2px solid #ccc;
  border-radius: .5rem;
  color: #333;
  width: 35px;
  height: 35px;
  background-color: var(--gray-color);
}

.footer__social-link.google:hover,
.contact__social-link.google:hover {
  transform: scale(1.2);
  background: #db4437;
  color: #fff;
  border-color: #db4437;
}

.footer__social-link.facebook:hover,
.contact__social-link.facebook:hover {
  transform: scale(1.2);
  background: #1877f2;
  color: #fff;
  border-color: #1877f2;
}

.footer__social-link.linkedin:hover,
.contact__social-link.linkedin:hover {
  transform: scale(1.2);
  background: #0a66c2;
  color: #fff;
  border-color: #0a66c2;
}

.footer__social-link.whatsapp:hover,
.contact__social-link.whatsapp:hover {
  transform: scale(1.2);
  background: #25d366;
  color: #fff;
  border-color: #25d366;
}

.contact__info {
  display: grid;
  row-gap: 2.5rem;
  overflow: auto;
  padding-bottom: 2rem;
  align-items: center;
  justify-content: center;
  text-align: center;
}

.contact__subtitle {
  font-size: var(--h3-font-size);
  margin-bottom: .5rem;
  text-align: center;
}

.contact__address {
  font-size: var(--small-font-size);
}

/* FOOTER */
.footer {
  padding: 2.5rem;
  text-align: center;
}

.footer__container {
  row-gap: 2rem;
}

.footer__logo {
  display: flex;
  align-items: center;
  justify-content: center;
  font-weight: var(--font-semi-bold);
  color: var(--title-color);
  font-size: var(--h1-font-size);
  column-gap: .25rem;
  transition: color .4s;
}

.footer__logo i {
  font-weight: initial;
  font-size: 1.5rem;
  color: var(--first-color);
}

.footer__logo:hover {
  color: var(--first-color);
}

.footer__links {
  display: flex;
  justify-content: space-between;
  font-size: var(--h3-font-size);
  font-weight: var(--font-semi-bold);
  transition: color .4s;
  color: var(--title-color);
}

.footer__link:hover {
  color: var(--first-color);
}

.footer__socail {
  justify-content: center;
  column-gap: 1rem;
  display: flex;
}

.footer__social-link {
  font-size: 1.2rem;
  transition: all .4s;

}

a.footer__social-link {
  width: 30px;
  height: 30px;
}

.footer__copy {
  display: block;
  margin-top: 4rem;
  font-size: var(--small-font-size);
  color: var(--text-color-light);
}

/* SCROLL BAR */
::-webkit-scrollbar {
  width: .8rem;
  background-color: var(--gray-color);
  border-radius: 1rem;
}

::-webkit-scrollbar-thumb {
  background-color: var(--first-color);
  border-radius: 1rem;
}

::-webkit-scrollbar-thumb:hover {
  background-color: var(--dark-color);
}

/* SCROLL UP */
.scroll__up {
  position: fixed;
  right: 1.5rem;
  bottom: -20%;
  background-color: var(--first-color);
  color: var(--white-color);
  padding: .75rem;
  border-radius: .5rem;
  font-size: 1.5rem;
  box-shadow: 0 4px 16px rgba(7, 86, 223, 0.3);
  z-index: var(--z-tooltipd);
  transition: bottom .4s, background-color .4s, transform .4s;
}

.scroll__up:hover {
  background-color: var(--first-color-alt);
  transform: translateY(-.25rem);
}

/* Show Scroll Up */
.show-scroll {
  bottom: 1.5rem;
}

/* BREAKPOINTS */
/*  small devices */

@media screen and (max-width:330px) {
  .home__title {
    font-size: 1.8rem;
  }

  .home__icon {
    flex-direction: column
  }

  .section__title {
    font-size: 1.5rem;
  }

 

}

@media screen and (max-width:360px) {
  .container {
    margin-inline: 1rem;
  } .prices .swiper {
    width: 280px;
  }
}

/* For medium devices */

@media screen and (min-width:440px) {

  .home__container,
  .contact__container,
  .delivery__container {
    grid-template-columns: 350px;
    justify-content: center;

  }

  .home__icon {
    flex-direction: column
  }

  .delivery__content {
    width: 320px;
  }

 

  .delivery__img {
    width: 380px;
  }

  
}

@media screen and (min-width:768px) {
  .home__container {
    grid-template-columns: repeat(2, 350px);
    row-gap: 2rem;

  }

  .home__data {
    grid-column: 2/3;
    text-align: initial;
  }

  .home__content {
    grid-column: 1/3;
    grid-row: 2/3;
    grid-template-columns: repeat(2, 1fr);
    padding: 0 5rem;
  }

  .home__info {
    order: 1;
    padding-block: 2rem;
  }

  .home__image {
    position: relative;
  }

  .home__img {
    position: absolute;
    bottom: 0;
    width: 300px;

  }

  .delivery__container {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
  }

  .delivery__data .section__title,
  .delivery__description {
    text-align: initial;
  }

  .delivery__data {
    order: 1
  }

  .about__container {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
  }

  .prices__description {
    width: 600px;
    margin-inline: auto;
  }

  .prices__box {
    width: 650px;
  }

  .prices__content {
    overflow-x: clip;
  }

  .contact__container {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
  }

  .contact__info {
    grid-template-columns: repeat(2, 1fr);
  }

  .footer__container {
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    gap: 0
  }
}

/* For large devices */
@media screen and (min-width:1150px) {
  .container {
    margin-inline: auto;
  }

  .section {
    padding-block: 7rem 3rem;
  }

  .section__title {
    font-size: var(--biggest-font-size);
    margin-bottom: 2rem;
  }

  .nav {
    height: calc(var(--header-height) + 1rem);
  }

  .nav__toggle,
  .nav__close {
    display: none;
  }

  .nav__list {
    flex-direction: row;
    column-gap: 2rem;
  }

  .home__container {
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    gap: 3rem;
    padding-top: 4rem;
  }

  .home__title {
    margin-bottom: 1.5rem;
  }

  .home__description {
    padding-right: 10rem;
    margin-bottom: 3rem;
  }

  .home__content {
    column-gap: 3rem;
  }

  .home__img {
    width: 400px;
  }

  .home__info {
    padding-block: 3rem;
  }

  .home__name {
    font-size: var(--h1-font-size);
  }

  .home__profession {
    font-size: var(--normal-font-size);
    margin-bottom: 3rem;
  }

  .home__box {
    width: 80px;
    height: 80px;
    font-size: 2.5rem;
  }

  .home__button {
    padding: 7rem 1rem;
    border-radius: 1rem;
  }

  .delivey__container {
    grid-template-columns: 380px 450px;
    column-gap: 10rem;
  }

  .delivery__content {
    padding-block: 4rem 3rem;
    width: 400px
  }

  .delivery__title {
    font-size: var(--h2-font-size);
  }

  .delivery__image {
    margin-bottom: 4rem;
  }

  .delivery__img {
    width: 480px
  }

  .delivery__description {
    margin-bottom: 3rem;
  }

  .delivery__icon {
    margin-bottom: .75rem;
  }

  .delivery__subtitle {
    font-size: var(--normal-font-size);
    margin-bottom: .75rem;
  }

  .footer {
    padding-top: 5rem;
  }

  .footer__container {
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
  }

  .footer__logo {
    margin-bottom: 0;
    font-size: var(--h2-font-size);
    justify-self: start;
  }

  .footer__socail {
    justify-self: end;
  }

}